Validate Ip Pool

Validate Ip Pool
Request
URI
POST
https://{api_host}/v1/nsxt-clusters/ip-address-pools/validations
COPY
Request Body
NsxtIpAddressPoolValidationSpec of type(s) application/json
Required

Show optional properties

{
    "ipAddressPoolSpec": {
        "name": "string"
    }
}
{
    "ipAddressPoolSpec": {
        "name": "string",
        "description": "string",
        "ignoreUnavailableNsxtCluster": false,
        "subnets": [
            {
                "ipAddressPoolRanges": [
                    {
                        "start": "string",
                        "end": "string"
                    }
                ],
                "cidr": "string",
                "gateway": "string"
            }
        ]
    },
    "nsxtClusterId": "string"
}
object
ipAddressPoolSpec
Required

This specification contains the parameters required to create or reuse an IP address pool.

string
nsxtClusterId
Optional

nsxtClusterId

Responses
200

OK

Returns Validation of type(s) application/json
{
    "id": "string",
    "description": "string",
    "executionStatus": "COMPLETED",
    "resultStatus": "SUCCEEDED",
    "validationChecks": [
        {
            "description": "string",
            "severity": "One among: WARNING, ERROR, INFO",
            "resultStatus": "One among: IN_PROGRESS, SUCCEEDED, FAILED, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS, PENDING",
            "acknowledge": false,
            "errorResponse": {
                "errorCode": "string",
                "errorType": "string",
                "arguments": [
                    "string"
                ],
                "context": {
                    "context": "string"
                },
                "notifications": [
                    {
                        "severity": "string",
                        "message": "string",
                        "remediations": [
                            {
                                "message": "string",
                                "link": "string"
                            }
                        ],
                        "impactMessage": "string"
                    }
                ],
                "message": "string",
                "remediationMessage": "string",
                "causes": [
                    {
                        "type": "string",
                        "message": "string"
                    }
                ],
                "nestedErrors": [
                    {
                        "errorCode": "string",
                        "errorType": "string",
                        "arguments": [
                            "string"
                        ],
                        "context": {
                            "context": "string"
                        },
                        "notifications": [
                            {
                                "severity": "string",
                                "message": "string",
                                "remediations": [
                                    {
                                        "message": "string",
                                        "link": "string"
                                    }
                                ],
                                "impactMessage": "string"
                            }
                        ],
                        "message": "string",
                        "remediationMessage": "string",
                        "causes": [
                            {
                                "type": "string",
                                "message": "string"
                            }
                        ],
                        "nestedErrors": [
                            "Error Object"
                        ],
                        "referenceToken": "string",
                        "label": "string",
                        "remediationUrl": "string"
                    }
                ],
                "referenceToken": "string",
                "label": "string",
                "remediationUrl": "string"
            },
            "nestedValidationChecks": [
                {
                    "description": "string",
                    "severity": "One among: WARNING, ERROR, INFO",
                    "resultStatus": "One among: IN_PROGRESS, SUCCEEDED, FAILED, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS, PENDING",
                    "acknowledge": false,
                    "errorResponse": {
                        "errorCode": "string",
                        "errorType": "string",
                        "arguments": [
                            "string"
                        ],
                        "context": {
                            "context": "string"
                        },
                        "notifications": [
                            {
                                "severity": "string",
                                "message": "string",
                                "remediations": [
                                    {
                                        "message": "string",
                                        "link": "string"
                                    }
                                ],
                                "impactMessage": "string"
                            }
                        ],
                        "message": "string",
                        "remediationMessage": "string",
                        "causes": [
                            {
                                "type": "string",
                                "message": "string"
                            }
                        ],
                        "nestedErrors": [
                            "Error Object"
                        ],
                        "referenceToken": "string",
                        "label": "string",
                        "remediationUrl": "string"
                    },
                    "nestedValidationChecks": [
                        "ValidationCheck Object"
                    ]
                }
            ]
        }
    ],
    "additionalProperties": {
        "additionalProperties": "string"
    }
}
string
id
Required

ID of the validation

string
description
Required

Description of the validation

string
executionStatus
Required

Execution status of the validation. One among: IN_PROGRESS, FAILED, COMPLETED, UNKNOWN, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS

string
resultStatus
Required

Result status of the validation after it has completed its execution. One among: SUCCEEDED, FAILED, WARNING, UNKNOWN, CANCELLATION_IN_PROGRESS

array of object
validationChecks
Optional

List of one or more validation checks that are performed as part of the validation

object
additionalProperties
Optional

additionalProperties


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"ipAddressPoolSpec":"object"}' https://{api_host}/v1/nsxt-clusters/ip-address-pools/validations